#include<stdio.h>
main()
{
	int x1,x2,y1,y2,disx,disy;
	scanf("%d%d%d%d",&x1,&y1,&x2,&y2);
	
	if(x1==x2 || y1==y2)
	printf("2");
	
	if(x1!=x2 && y1!=y2)
	{
		disx=x2-x1;
		disy=y2-y1;
		if(disx<0)
		disx=disx*(-1);
		if(disy<0)
		disy=disy*(-1);
		
		if(disx==disy)
		printf("1");
		
		if(disx!=disy)
		printf("0");	
	}
}